<!DOCTYPE html>
<html>
<head>
	<title>
		Punching bag using VUE JS
	</title>
	<link rel="stylesheet" type="text/css" href="style.css">
	<script type="text/javascript" src="../vue.js"></script>

</head>
<body>


<div id="app">
	<div id="image">
		<div  v-bind:class="{burst:ended}"></div>
	</div>
	<div id="health">
		<div id="inside-health" v-bind:style="{width:health+'%'}">
			
		</div>
	</div>
	<div id="button">
		<button v-on:click='punch' v-show="!ended">PUNCH</button>
		<button v-on:click='restart'>RESTART</button>
	</div>
</div>



<script type="text/javascript" src="vue.js"></script>
</body>
</html>